Description

    -  Fix handshake sequence (too many reads and write)
    -  Add shutdown sequence

Related issues:
Related to Robotics Service Bus - Tasks # 1048: Specify disconnect protocol f... In Progress 06/28/2012

Associated revisions
Revision 3d79fc5d - 08/02/2013 04:35 AM - J. Moringen

Fix description of setup handshake protocol

refs #1583

The server only send a message during the setup handshake, but does
not receive anything. Opposite situation for the client.

    -  specification-socket.rst: removed incorrect sent and received setup
  handshake message from description and graphs

Revision b0b5d25d - 08/02/2013 04:35 AM - J. Moringen

Added description of shutdown handshake protocol in specification-socket.rst

fixes #1583

    -  specification-socket.rst: added active and passive shutdown
  handshake states and their triggering conditions to descriptions and
  graphs

Revision 6d4b3bec - 08/05/2013 12:07 AM - J. Moringen

Improved example in specification-socket.rst

refs #1583

    -  specification-socket.rst (Example): fixed setup handshake; added
  shutdown handshake

History
#1 - 08/02/2013 04:40 AM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset rsb-manual|commit:b0b5d25d8aa330912008f95fbf5681f041c6bd1a.

04/10/2024 2/2


